Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ClosureExpression

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.ClosureExpression

All Implemented Interfaces:
  org.springframework.binding.expression.Expression

    class ClosureExpression

Implements the Spring binding expression interface to allow an expression to evaluate a closure for using with dynamic transitions.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`groovy.lang.Closure` | `closure`

Constructor Summary
`ClosureExpression(groovy.lang.Closure c)`

Method Summary
`java.lang.String` | `getExpressionString()`
`java.lang.Object` | `getValue(java.lang.Object context)`
`java.lang.Class` | `getValueType(java.lang.Object context)`
`void` | `setValue(java.lang.Object context, java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### closure

    groovy.lang.Closure closure

Constructor Detail

### ClosureExpression

    ClosureExpression(groovy.lang.Closure c)

Method Detail

### getExpressionString

    java.lang.String getExpressionString()

### getValue

    java.lang.Object getValue(java.lang.Object context)

### getValueType

    java.lang.Class getValueType(java.lang.Object context)

### setValue

    void setValue(java.lang.Object context, java.lang.Object value)

Groovy Documentation